summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Vincent Batts <vbatts at gmail.com>2010-05-13 00:25:47 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:25:47 +0200
commit4c788ad0cc384e593a43642db42b3db7b6c88be4 (patch)
tree390052ad1c6ae89c64cf3d1c5168c783092dc5b8
parent5c0a57aa6250fb742921d61633f9a99592da6942 (diff)
downloadslackbuilds-4c788ad0cc384e593a43642db42b3db7b6c88be4.tar.gz
slackbuilds-4c788ad0cc384e593a43642db42b3db7b6c88be4.tar.xz
development/xmlstarlet: Updated for version 1.0.1
-rw-r--r--development/xmlstarlet/slack-desc22
-rw-r--r--development/xmlstarlet/xmlstarlet-1.0.1-fixup_x86_64.diff48
-rw-r--r--development/xmlstarlet/xmlstarlet.SlackBuild34
-rw-r--r--development/xmlstarlet/xmlstarlet.info4
4 files changed, 83 insertions, 25 deletions
diff --git a/development/xmlstarlet/slack-desc b/development/xmlstarlet/slack-desc
index 22f3360256..07d15d7017 100644
--- a/development/xmlstarlet/slack-desc
+++ b/development/xmlstarlet/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-xmlstarlet: xmlstarlet (command line xml tool)
-xmlstarlet:
-xmlstarlet: XMLStarlet is a command line XML toolkit that can be used to
-xmlstarlet: transform, query, validate, and edit XML documents and files using
-xmlstarlet: a simple set of shell commands, which work similarly to 'grep',
-xmlstarlet: 'sed', 'awk', 'tr', 'diff', or 'patch' on plain text files.
-xmlstarlet:
-xmlstarlet:
-xmlstarlet: Homepage http://sourceforge.net/projects/xmlstar/
-xmlstarlet:
-xmlstarlet:
+xmlstarlet: xmlstarlet (command line xml tool)
+xmlstarlet:
+xmlstarlet: XMLStarlet is a command line XML toolkit that can be used to
+xmlstarlet: transform, query, validate, and edit XML documents and files using
+xmlstarlet: a simple set of shell commands, which work similarly to 'grep',
+xmlstarlet: 'sed', 'awk', 'tr', 'diff', or 'patch' on plain text files.
+xmlstarlet:
+xmlstarlet:
+xmlstarlet: Homepage http://sourceforge.net/projects/xmlstar/
+xmlstarlet:
+xmlstarlet:
diff --git a/development/xmlstarlet/xmlstarlet-1.0.1-fixup_x86_64.diff b/development/xmlstarlet/xmlstarlet-1.0.1-fixup_x86_64.diff
new file mode 100644
index 0000000000..acdb77d41d
--- /dev/null
+++ b/development/xmlstarlet/xmlstarlet-1.0.1-fixup_x86_64.diff
@@ -0,0 +1,48 @@
+diff -Nur xmlstarlet-1.0.1.orig/configure xmlstarlet-1.0.1/configure
+--- xmlstarlet-1.0.1.orig/configure 2005-03-13 19:32:18.000000000 -0600
++++ xmlstarlet-1.0.1/configure 2009-08-15 11:40:10.052257819 -0500
+@@ -1095,7 +1095,7 @@
+ withval="$with_libxml_prefix"
+ LIBXML_PREFIX=$withval
+ LIBXML_CFLAGS="-I$withval/include/libxml2 -I$withval/include/libxml"
+- LIBXML_LIBS="$withval/lib/libxml2.a -lz -lm -lpthread -ldl"
++ LIBXML_LIBS="$withval/lib64/libxml2.a -lz -lm -lpthread -ldl"
+
+ fi
+
+@@ -1144,7 +1144,7 @@
+ withval="$with_libxslt_prefix"
+ LIBXSLT_PREFIX=$withval
+ LIBXSLT_CFLAGS="-I$withval/include/libxslt -I$withval/include/libexslt"
+- LIBXSLT_LIBS="$withval/lib/libxslt.a $withval/lib/libexslt.a -lz -lm -lpthread"
++ LIBXSLT_LIBS="$withval/lib64/libxslt.a $withval/lib64/libexslt.a -lz -lm -lpthread"
+
+ fi
+
+@@ -1543,7 +1543,7 @@
+ echo "configure: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ rm -rf conftest*
+- CPP=/lib/cpp
++ CPP=/lib64/cpp
+ fi
+ rm -f conftest*
+ fi
+@@ -2159,7 +2159,7 @@
+
+ if test "x$LIBXML_LIBS" = "x"
+ then
+- LIBXML_LIBS="${LIBXML_PREFIX}/lib/libxml2.a -lz -lm -lpthread -ldl"
++ LIBXML_LIBS="${LIBXML_PREFIX}/lib64/libxml2.a -lz -lm -lpthread -ldl"
+ fi
+
+ if test "x$LIBXSLT_CFLAGS" = "x"
+@@ -2169,7 +2169,7 @@
+
+ if test "x$LIBXSLT_LIBS" = "x"
+ then
+- LIBXSLT_LIBS="${LIBXSLT_PREFIX}/lib/libxslt.a ${LIBXSLT_PREFIX}/lib/libexslt.a -lz -lm -lpthread"
++ LIBXSLT_LIBS="${LIBXSLT_PREFIX}/lib64/libxslt.a ${LIBXSLT_PREFIX}/lib64/libexslt.a -lz -lm -lpthread"
+ fi
+
+ if test "x$LIBICONV_CFLAGS" = "x"
diff --git a/development/xmlstarlet/xmlstarlet.SlackBuild b/development/xmlstarlet/xmlstarlet.SlackBuild
index 8836b3f63b..7b43b19b52 100644
--- a/development/xmlstarlet/xmlstarlet.SlackBuild
+++ b/development/xmlstarlet/xmlstarlet.SlackBuild
@@ -4,9 +4,6 @@
# Written by Vincent Batts, vbatts@gmail.com
-# Exit on most errors
-set -e
-
PRGNAM=xmlstarlet
VERSION=1.0.1
ARCH=${ARCH:-i486}
@@ -20,12 +17,17 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -39,40 +41,46 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fixup build on x86_64
+if [ "$ARCH" = "x86_64" ]; then
+ patch -p1 < $CWD/xmlstarlet-1.0.1-fixup_x86_64.diff
+fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
sed -i 's/pthread/pthread -lgcrypt/' src/Makefile
-# Compile the application and install it into the $PKG directory
make
make install DESTDIR=$PKG
-# Strip binaries and libraries
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
-# Compress man pages
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-# Copy program documentation into the package
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog Copyright INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog Copyright INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Copy the slack-desc into ./install
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/xmlstarlet/xmlstarlet.info b/development/xmlstarlet/xmlstarlet.info
index bab325725b..cb84b6b97b 100644
--- a/development/xmlstarlet/xmlstarlet.info
+++ b/development/xmlstarlet/xmlstarlet.info
@@ -3,6 +3,8 @@ VERSION="1.0.1"
HOMEPAGE="http://sourceforge.net/projects/xmlstar/"
DOWNLOAD="http://downloads.sourceforge.net/xmlstar/xmlstarlet-1.0.1.tar.gz"
MD5SUM="8deb71834bcdfb4443c258a1f0042fce"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Vincent Batts"
EMAIL="vbatts at gmail.com"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero,rworkman"